# Uses of Interface
org.opensaml.saml.saml2.ecp.SubjectConfirmation

Packages that use SubjectConfirmation
Package
Description
org.opensaml.saml.saml2.ecp.impl
Implementations of SAML 2.0 ECP types and elements.

## Uses of SubjectConfirmation in org.opensaml.saml.saml2.ecp.impl

Classes in org.opensaml.saml.saml2.ecp.impl that implement SubjectConfirmation
Modifier and Type
Class
Description
`class`
`SubjectConfirmationImpl`
Concrete implementation of `SubjectConfirmation`.
Methods in org.opensaml.saml.saml2.ecp.impl that return SubjectConfirmation
Modifier and Type
Method
Description
`SubjectConfirmation`
SubjectConfirmationBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`SubjectConfirmation`
SubjectConfirmationBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.